<ion-app>
  <ion-header translucent>
    <ion-toolbar>
      <div class="pl-3 pb-3" [routerLink]="['/home']">
        <i class="fas fa-home"></i> Home
      </div>
    </ion-toolbar>
  </ion-header>
  <ion-content [fullscreen]="true">
    <div class="container-fluid">
      <div class="pt-2">
        <div class="text-black-1 text-center font-weight-bold">รายวิชา คอมพิวเตอร์และสารสนเทศเพื่องานอาชีพ</div>
        <div class="text-black-1 text-center font-weight-bold">ข้อสอบปรนัย 10 ข้อ เรื่องคอมพิวเตอร์</div>
      </div>
      <div class="form-group row pt-3">
        <div class="col-sm-1"></div>
        <div class="col-sm-7 img-thumbnail">
          <div class="text-black pb-2 font-weight-bold">{{ exercise?.section }}</div>
          <div class="form-check pb-2" *ngFor="let data of exercise?.choice; let i = index">
            <input
              class="form-check-input"
              type="radio"
              name="flexRadioDefault"
              id="{{'flexRadioDefault' + i}}"
              [value]="i"
              [(ngModel)]="radioSelected"
              [disabled]="disableRadio"
            >
            <label class="form-check-label" for="{{'flexRadioDefault' + i}}">
              <span class="text-green-impl" *ngIf="data.color === 'green'">{{ data.name }}</span>
              <span class="text-black-1" *ngIf="data.color === 'black'">{{ data.name }}</span>
              <span class="text-red-impl" *ngIf="data.color === 'red'">{{ data.name }}</span>
            </label>
          </div>
        </div>
        <div class="col-sm-3 img-thumbnail">
          <div class="p-1">
            <h5>คะแนนรวมทั้งหมด</h5>
            <h5>{{ totalPoint }}/10</h5>
          </div>
        </div>
        <div class="col-sm-1"></div>
      </div>
      <div class="row">
        <div class="col-sm-1"></div>
        <div class="col-sm-8">
          <button type="button" class="btn btn-secondary mr-2" (click)="checkAnswer()" [disabled]="disableRadio">ตรวจคำตอบ</button>
          <button type="button" class="btn btn-primary" (click)="nextSection()" *ngIf="currentSection != 9">ทำข้อถัดไป</button>
        </div>
        <div class="col-sm-3"></div>
      </div>
    </div>
  </ion-content>
</ion-app>
